itpp::GMM Class Reference
Source Coding Module » Source Coding Routines

Gaussian Mixture Model Class. More...

`#include <itpp/srccode/gmm.h>`

## Public Member Functions

| GMM (int nomix, int dim)
| GMM (std::string filename)
void | init_from_vq (const vec &codebook, int dim)
void | init (const vec &w_in, const mat &m_in, const mat &sigma_in)
void | load (std::string filename)
void | save (std::string filename)
void | set_weight (const vec &weights, bool compflag=true)
void | set_weight (int i, double weight, bool compflag=true)
void | set_mean (const mat &m_in)
void | set_mean (const vec &means, bool compflag=true)
void | set_mean (int i, const vec &means, bool compflag=true)
void | set_covariance (const mat &sigma_in)
void | set_covariance (const vec &covariances, bool compflag=true)
void | set_covariance (int i, const vec &covariances, bool compflag=true)
int | get_no_mixtures ()
int | get_no_gaussians () const
int | get_dimension ()
vec | get_weight ()
double | get_weight (int i)
vec | get_mean ()
vec | get_mean (int i)
vec | get_covariance ()
vec | get_covariance (int i)
void | marginalize (int d_new)
void | join (const GMM &newgmm)
void | clear ()
double | likelihood (const vec &x)
double | likelihood_aposteriori (const vec &x, int mixture)
vec | likelihood_aposteriori (const vec &x)
vec | draw_sample ()

## Protected Attributes

vec | m
vec | sigma
vec | w
int | M
int | d

## Detailed Description

Gaussian Mixture Model Class.

Author
  Thomas Eriksson

Definition at line 44 of file gmm.h.

## Member Function Documentation

## set_weight() [1/2]

void itpp::GMM::set_weight | ( | const vec & | weights,
|  | bool | compflag = true )

inline

Definition at line 87 of file gmm.h.

## set_weight() [2/2]

void itpp::GMM::set_weight | ( | int | i,
|  | double | weight,
|  | bool | compflag = true )

inline

Definition at line 88 of file gmm.h.

## set_mean()

void itpp::GMM::set_mean | ( | const vec & | means,
|  | bool | compflag = true )

inline

Definition at line 89 of file gmm.h.

## set_covariance()

void itpp::GMM::set_covariance | ( | const vec & | covariances,
|  | bool | compflag = true )

inline

Definition at line 90 of file gmm.h.

## get_no_gaussians()

int itpp::GMM::get_no_gaussians | ( |  | ) | const

inline

Definition at line 64 of file gmm.h.

## get_dimension()

int itpp::GMM::get_dimension | ( |  | ) |

inline

Definition at line 91 of file gmm.h.

## get_weight() [1/2]

vec itpp::GMM::get_weight | ( |  | ) |

inline

Definition at line 92 of file gmm.h.

## get_weight() [2/2]

double itpp::GMM::get_weight | ( | int | i | ) |

inline

Definition at line 93 of file gmm.h.

## get_mean() [1/2]

vec itpp::GMM::get_mean | ( |  | ) |

inline

Definition at line 94 of file gmm.h.

## get_mean() [2/2]

vec itpp::GMM::get_mean | ( | int | i | ) |

inline

Definition at line 95 of file gmm.h.

## get_covariance() [1/2]

vec itpp::GMM::get_covariance | ( |  | ) |

inline

Definition at line 96 of file gmm.h.

## get_covariance() [2/2]

vec itpp::GMM::get_covariance | ( | int | i | ) |

inline

Definition at line 97 of file gmm.h.

## Member Data Documentation

## m

vec itpp::GMM::m

protected

Definition at line 80 of file gmm.h.

## sigma

vec itpp::GMM::sigma

protected

Definition at line 80 of file gmm.h.

## w

vec itpp::GMM::w

protected

Definition at line 80 of file gmm.h.

## M

int itpp::GMM::M

protected

Definition at line 81 of file gmm.h.

## d

int itpp::GMM::d

protected

Definition at line 81 of file gmm.h.

The documentation for this class was generated from the following file:

- itpp/srccode/gmm.h

Generated on for IT++ by Doxygen 1.15.0